

#include <Ice/Ice.h>
#include <Hello.h>
#include <HelloMgrI.h>

using namespace std;
using namespace Demo;

void
HelloMgrI::call (const Ice::Current &current)
{
    ::Ice::ObjectAdapterPtr _adapter = current.adapter;
    HelloPrx prx = HelloPrx::checkedCast (
            _adapter->getCommunicator()->stringToProxy("hello:tcp -p 10000:udp -p 10000:ssl -p 10001"));
    if (!prx)
    {
        cerr << "invalid proxy." << endl;
        return ;
    }

    prx = prx->ice_collocationOptimized (true);

    cout << "sync invoke :" << endl;
    prx->sayHello ();
    cout << "asyn invoke :" << endl;
    prx->begin_sayHello ();
}
